package org.smartframework.common;


public class TableColumn {
    private String columnName;
    private String aliasName;
    private String columnLabel;
    private String columnType;
    private int columnDisplaySize;

    public TableColumn() {
    }

    public TableColumn(String columnLabel, String columnName, String aliasName) {
        this.columnLabel = columnLabel;
        this.columnName = columnName;
        this.aliasName = aliasName;
    }

    public String getColumnName() {
        return this.columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public String getColumnLabel() {
        return this.columnLabel;
    }

    public void setColumnLabel(String columnLabel) {
        this.columnLabel = columnLabel;
    }

    public String getColumnType() {
        return this.columnType;
    }

    public void setColumnType(String columnType) {
        this.columnType = columnType;
    }

    public int getColumnDisplaySize() {
        return this.columnDisplaySize;
    }

    public void setColumnDisplaySize(int columnDisplaySize) {
        this.columnDisplaySize = columnDisplaySize;
    }

    public String getAliasName() {
        return this.aliasName;
    }

    public void setAliasName(String aliasName) {
        this.aliasName = aliasName;
    }
}